List podcasts OAuth Scope: podcasts:read

Retrieve all podcasts belonging to a specific publication.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Query parameters

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Use this opaque cursor token to fetch the next page of results. Obtain the value from next_cursor in a previous response.

statusenumOptional

Optionally filter the results by the status of the podcast.
draft - No episodes have been published.
live - Published and active.
archived - The podcast is no longer active.

Allowed values:

Response

OK
datalist of objects
A list of podcasts for this publication.
limitinteger
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
has_moreboolean
Indicates whether there are more results available after the current page.
next_cursorstringOptional

The cursor token to use for fetching the next page of results. Null when has_more is false.

total_resultsintegerOptional
The total number of results from all pages.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error